#!/usr/bin/env python

from monarchpass.beedrill import Project, Action, Listener, do

class Tenquestionmarks(Project):
    name = "Tenquestionmarks"
    author = "Adrian Malacoda"

    @Action(
        title="Hello World",
        command="hello"
    )
    def hello(self,person="world"):
        print "Hello {person}!".format(person=person)

    hidave = do(
        action="hello",
        command="hidave",
        kwargs={"person": "Dave"}
    )

    @Action(
        title="Goodbye World",
        command="goodbye",
        prerequisites=["hello"],
        clean_directory=False
    )
    def goodbye(self):
        print "Bye!"

    @Listener(before="goodbye")
    def goodbyeListener(self):
        print "Listened to goodbye!"